<!--
function InitToolbarButtons(){
  var kids = document.getElementsByTagName('DIV');
  for (var i=0; i < kids.length; i++){
    if (kids[i].className == "imagebutton"){
      kids[i].onmouseover = tbmouseover;
      kids[i].onmouseout = tbmouseout;
      kids[i].onmousedown = tbmousedown;
      kids[i].onmouseup = tbmouseup;
      kids[i].onclick = tbclick;
    }
  }
}
function tbmousedown(e){
  this.style.background="#8492B5";
  if (!e){
    e = window.event;
  }
  if (isIE()){
    e.returnValue = false;
  }else{
    e.preventDefault();
  }
}
function tbmouseup(){
  this.style.background="#B5BED6";
}
function tbmouseout(){
  this.style.background="#D6D3CE";
}
function tbmouseover(){
  this.style.background="#B5BED6";
}
// Remove tags in the <head> portion of the page
function stripHeadTag(htmlcontent){
  var headtag = '/(<head>.*?<\\/head>|<\\/?body>|<meta [^>]*>)/gi';
  var myhtml = new String(htmlcontent);
  myhtml = myhtml.replace(eval(headtag),'');
  return myhtml;
}
// Get contents from the <head> tag
function getHtmlHeaderContent(editarea){
  // editarea: iframe object
  var html_data = new String();
  var htmlhead = editarea.contentWindow.document.getElementsByTagName("head");
  for(var i = 0; i < htmlhead.length; i++){
    if (htmlhead[i].innerHTML == undefined){
      continue;
    }
    var elem = htmlhead[i];
    html_data += elem.innerHTML;
  }
  return html_data;
}
// Get a body object from the DOM
function getHtmlBodyObject(editarea){
  // editarea: iframe object
  var bodyObj = editarea.contentWindow.document.getElementsByTagName("body");
  return bodyObj[0];
}
// Get contents from the <body> tag 
function getHtmlBodyContent(editarea){
  // editarea: iframe object
  var bodyObj = getHtmlBodyObject(editarea);
  return bodyObj.innerHTML;
}
// Get html contents from the editor
function getHtmlContent(){
  var completehtml = new String();
  var editarea = document.getElementById("edit");
  // Reconstruct the page
  if (complete_html_content){
    // Head tag
    completehtml += '<html><head>';
    completehtml += getHtmlHeaderContent(editarea);
    completehtml += '</head>';
    // Body tag
    completehtml += '<body';
    var body_object = getHtmlBodyObject(editarea);
    if (body_object){
      var attr = new Array("vLink","aLink","link","text","background","bgColor","leftMargin","rightMargin","topMargin");
      for(var i = 0; i < attr.length; i++){
        var prop = "body_object." + attr[i] + ";";
        var attr_val = eval(prop);
        if (attr_val == '' || attr_val == null){
          continue;
        }
        completehtml += ' ' + attr[i] + '="' + attr_val + '"';
      }
    }
    completehtml += '>';
  }
  // Body contents
  completehtml += stripHeadTag(getHtmlBodyContent(editarea));
  if (complete_html_content){
    completehtml += '</body></html>';
  }
  return completehtml;
}
function findExsiteFormIndex(){
  // Find exsiteform array index
  var form_index = 0;
  if (document.forms.length > 1){
    for(var i = 0; i < document.forms.length; i++){
      // We only save the editor content into the exsite form
      var formid = document.forms[i].id;
      // Found exsite form
      if (formid == "exsiteform"){
        form_index = i;
	break;
      }
    }
  }
  return form_index;
}
function validate(){
  // Use the first form object by default
  var form_index = findExsiteFormIndex();
  document.forms[form_index].elements[0].value = getHtmlContent();
}
function insertNodeAtSelection(win,insertNode){
  // get current selection
  var sel = win.getSelection();
  // get the first range of the selection
  // (there's almost always only one range)
  var range = sel.getRangeAt(sel);
  // deselect everything
  sel.removeAllRanges();
  // remove content of current selection from document
  range.deleteContents();
  // get location of current selection
  var container = range.startContainer;
  var pos = range.startOffset;
  // make a new range for the new selection
  range = document.createRange();
  if (container.nodeType==3 && insertNode.nodeType==3){
    // if we insert text in a textnode, do optimized insertion
    container.insertData(pos, insertNode.nodeValue);
    // put cursor after inserted text
    range.setEnd(container, pos+insertNode.length);
    range.setStart(container, pos+insertNode.length);
  } else {
    var afterNode;
    if (container.nodeType==3) {
      // when inserting into a textnode
      // we create 2 new textnodes
      // and put the insertNode in between
      var textNode = container;
      container = textNode.parentNode;
      var text = textNode.nodeValue;
      // text before the split
      var textBefore = text.substr(0,pos);
      // text after the split
      var textAfter = text.substr(pos);
      var beforeNode = document.createTextNode(textBefore);
      afterNode = document.createTextNode(textAfter);
      // insert the 3 new nodes before the old one
      container.insertBefore(afterNode, textNode);
      container.insertBefore(insertNode, afterNode);
      container.insertBefore(beforeNode, insertNode);
      // remove the old node
      container.removeChild(textNode);
    } else {
      // else simply insert the node
      afterNode = container.childNodes[pos];
      container.insertBefore(insertNode, afterNode);
    }
    if (!afterNode){
      afterNode = document.createTextNode("");
    }
    range.setEnd(afterNode, 0);
    range.setStart(afterNode, 0);
  }
  sel.addRange(range);
}
function getOffsetTop(elm){
  var mOffsetTop = elm.offsetTop;
  var mOffsetParent = elm.offsetParent;
  while(mOffsetParent){
    mOffsetTop += mOffsetParent.offsetTop;
    mOffsetParent = mOffsetParent.offsetParent;
  }
  return mOffsetTop;
}
function getOffsetLeft(elm){
  var mOffsetLeft = elm.offsetLeft;
  var mOffsetParent = elm.offsetParent;
  while(mOffsetParent){
    mOffsetLeft += mOffsetParent.offsetLeft;
    mOffsetParent = mOffsetParent.offsetParent;
  }
  return mOffsetLeft;
}
function getColor(color){
  if(isIE() && curr_id == 'hilitecolor'){curr_id = 'backcolor';}
  document.getElementById('edit').contentWindow.document.execCommand(curr_id,false,color);
}
function SelectSpecial(selectname){
  var selected_index = document.getElementById(selectname).selectedIndex;
  if (selected_index){
    selected_value = document.getElementById(selectname).options[selected_index].value;
    if (isIE()){
      if (selected_value == 'hr' || selected_value == 'br'){
        selected_value = '<' + selected_value + '>';
      }
      var selection = getEditorRange(getEditorSelection());
      selection.pasteHTML(selected_value);
    }else{
      var new_text = document.getElementById('edit').contentWindow.document.createTextNode(selected_value);
      if (selected_value == 'hr' || selected_value == 'br'){
      	new_text = document.getElementById('edit').contentWindow.document.createElement(selected_value);
      }
      insertNodeAtSelection(document.getElementById("edit").contentWindow,new_text);
    }    
    document.getElementById(selectname).selectedIndex = 0;
  }
  document.getElementById("edit").contentWindow.focus();
}
function getLink(url,title,newWindow,isImgDoc){
  if (url){
    if(isImgDoc > 0){
      url = "[[" + url + "]]";
    }else if(url.match(/^\d*$/)){
      url = "\{\{" + url + "\}\}";
    }else{
      url = url.match(/:/i) ? url : 'http://' + url;
    }
    if (!title){
      document.getElementById('edit').contentWindow.document.execCommand("CreateLink",false,url);
    }else{
      if (isIE()){
        var link = '<a href="' + url + '"';
	if (newWindow){
	  link += ' target="_blank"';
	}
	link += '>' + title + '</a>';
        var selection = getEditorRange(getEditorSelection());
        selection.pasteHTML(link);
      }else{
        var link = document.getElementById('edit').contentWindow.document.createElement('a');
        var linktext = document.getElementById('edit').contentWindow.document.createTextNode(title);
        link.href = url;
	if (newWindow){
	  link.target = "_blank";
	}	
        link.appendChild(linktext);
	document.getElementById('edit').contentWindow.document.execCommand("unlink",false,null);
        insertNodeAtSelection(document.getElementById('edit').contentWindow,link);
      }
    }
  }else{
    document.getElementById('edit').contentWindow.document.execCommand("unlink",false,null);
  }
}
function getTable(table_class,rows,cols,border,bordercolor,cellspacing,cellpadding,bgcolor,tdwidth,tdheight,tdvalign,tdalign){
  var nodeText = "?";
  e = document.getElementById("edit");
  rows = parseInt(rows);
  cols = parseInt(cols);
  if ((rows > 0) && (cols > 0)){
    if (isIE()){
      var strTable = '<table';
      if (table_class != ''){
        strTable += ' class="' + table_class + '"';
      }
      if (border != ''){
      	strTable += ' border="' + border + '"';
      }
      if (cellpadding != ''){
        strTable += ' cellpadding="' + cellpadding + '"';
      } 
      if (cellspacing != ''){
        strTable += ' cellspacing="' + cellspacing + '"';
      }
      if (bordercolor != ''){
      	strTable += ' bordercolor="' + bordercolor + "'";
      }
      if (bgcolor != ''){
      	strTable += ' bgcolor="' + bgcolor + '"';
      }
      strTable += '>';
      for (var i=0; i < rows; i++) {
	strTable += '<tr>';
	for (var j=0; j < cols; j++) {
	  strTable += '<td';
	  if (tdalign != ''){
	    strTable += ' align="' + tdalign + '"';
	  }
	  if (tdvalign != ''){
	    strTable += ' valign="' + tdvalign + '"';
	  }  
	  if (tdwidth != ''){
	    strTable += ' width="' +  tdwidth + '"';
	  }
	  if (tdheight != ''){
	    strTable += ' height="' + tdheight + "'";
	  }
	  strTable += '>';
	  strTable += nodeText;
	  strTable += '</td>';
	}
	strTable += '</tr>';
    }
    strTable += '</table>';
    var selection = getEditorRange(getEditorSelection());
    selection.pasteHTML(strTable);
  }else{
      var table,tbody;
      table = e.contentWindow.document.createElement("table");
      if (table_class != ''){
        table.setAttribute("class",table_class);
      }
      if (border != ''){
      	table.setAttribute("border",border);
      }
      if (bordercolor != ''){
      	table.setAttribute("bordercolor",bordercolor);
      }
      if (cellpadding != ''){
      	table.setAttribute("cellpadding", cellpadding);
      }
      if (cellspacing != ''){
      	table.setAttribute("cellspacing", cellspacing);
      }
      if (bgcolor != ''){
      	table.setAttribute("bgcolor",bgcolor);
      }
      tbody = e.contentWindow.document.createElement("tbody");
      for (var i=0; i < rows; i++){
        tr = e.contentWindow.document.createElement("tr");
        for (var j=0; j < cols; j++){
          td = e.contentWindow.document.createElement("td");
	  if (tdheight != ''){
	    td.setAttribute("height",tdheight);
	  }
	  if (tdwidth != ''){
	    td.setAttribute("width",tdwidth);
	  }
	  if (tdalign != ''){
	    td.setAttribute("align",tdalign);
	  }
	  if (tdvalign != ''){
	    td.setAttribute("valign",tdvalign);
	  }
	  var cellText = e.contentWindow.document.createTextNode(nodeText);	  
          td.appendChild(cellText);
          tr.appendChild(td);
        }
        tbody.appendChild(tr);
      }
      table.appendChild(tbody);      
      insertNodeAtSelection(e.contentWindow, table);
    }
  }
}
function tbclick(){
  document.getElementById('edit').contentWindow.focus();
  if (this.id == "insertimage"){
    doImage();
  } else if (this.id == "dyncontent"){
    doDynContent();
  } else if ((this.id == "forecolor") || (this.id == "hilitecolor")){
    curr_id = this.id;
    doColor();
  } else if (this.id == "createlink"){
    doLink();
  } else if (this.id == "createtable"){
    doTable();
  } else if (this.id == "cleanup"){
    doCleanup();
  } else if (this.id == "table_editor"){
    doTableEditor();
  } else {
    document.getElementById('edit').contentWindow.document.execCommand(this.id, false, null);
  }  
}
function doCleanup(){
  if (confirm('This tool removes non-essential HTML codes.  Proceed?') == 0){return;}
  var form_content,strip_tag,delete_tag,strip_style;
  form_content = new String();
  var form_index = findExsiteFormIndex();
  form_content = getHtmlBodyContent(document.getElementById("edit"));
  //remove the style attributes
  strip_style = new Array('table','th','tr','td');
  for(var i = 0; i < strip_style.length; i++){
    var tag,re;
    tag = strip_style[i];
    re = '/<' + tag + '( .+?)? style=("|\')[^>]*?("|\')/gi';
    form_content = form_content.replace(eval(re),'<' + tag + ' ');
  }
  //DELETE non-required tags
  //remove all tags that attempt to override style rules, plus a few
  //extra bits of crud left behind by MS-Word
  delete_tag = new Array('font','span','?xml','o:p','v:shape','v:imagedata','w:wrap');
  for(var i = 0; i < delete_tag.length; i++){
    var tag,re;
    tag = delete_tag[i];
    re = '/<\\/?' + tag + '[^>]*>/gi';
    form_content = form_content.replace(eval(re),'');
  }
  //CLEAN required tags
  //remove all attributes from required tags, so that our stylesheet
  //can assert itself
  strip_tag = new Array('p','div','h1','h2','h3','h4','h5','h6','ol','ul','li');
  for(var i = 0; i < strip_tag.length; i++){
    var tag,replace_tag,re;
    tag = strip_tag[i];
    replace_tag = '<' + tag + '>';
    re = '/<' + tag + ' [^>]+>/gi';
    form_content = form_content.replace(eval(re),replace_tag);	
  }
  //REMOVE junk
  //remove null paragraphs and other spurious crud
  form_content = form_content.replace(/<p>\s*<\/p>/gi,'');  
  document.getElementById("edit").contentWindow.document.getElementsByTagName("body")[0].innerHTML = form_content;
  document.forms[form_index].elements[0].value = form_content;
}
function Select(selectname){
  var cursel = document.getElementById(selectname).selectedIndex;
  /* First one is always a label */
  if (cursel != 0) {
    var selected = document.getElementById(selectname).options[cursel].value;
    document.getElementById('edit').contentWindow.document.execCommand(selectname, false, selected);
    document.getElementById(selectname).selectedIndex = 0;
  }
  document.getElementById("edit").contentWindow.focus();
}
function isIE(){
  if(navigator.appName == 'Microsoft Internet Explorer'){
    return 1;
  }
  return 0;
}
function getEditorSelection(){
  var selection;
  if (isIE()){
    selection = edit.document.selection;
  }else{
    selection = document.getElementById('edit').contentWindow.getSelection();
  }
  return selection;
}
function getEditorRange(selection){
  var range;
  if (isIE()){
    range = selection.createRange();
  }else{
    range = selection.getRangeAt(selection);
  }
  return range;
}
////////////////////////////////////////////////////////////
// table editor
////////////////////////////////////////////////////////////
function tableCommandAlert(){
  alert('Sorry, this function only works if your cursor is inside a table.');
}
function doInsertColumn(position){
  var cell,index;
  cell = getClosest("td") || getClosest("th");
  if (!cell) {
    tableCommandAlert(); 
    return;
  }
  index = cell.cellIndex;  
  var rows = cell.parentNode.parentNode.rows;
  for (var i = 0;i < rows.length;i++) {
    var tr,new_cell;
    tr = rows[i];
    new_cell = tr.cells[index].cloneNode(true);
    if (position == "before"){
      tr.insertBefore(new_cell,tr.cells[index]);
    }else{
      tr.insertBefore(new_cell,tr.cells[index].nextSibling);
    } 
  }
}
function doInsertCell(position){
  var cell,tr,new_cell;
  cell = getClosest("td") || getClosest("th");
  if (!cell){
    tableCommandAlert();
    return;
  }
  tr = cell.parentNode;
  new_cell = cell.cloneNode(true);
  if (position == "before"){
    tr.insertBefore(new_cell,cell);
  }else{
    tr.insertBefore(new_cell,cell.nextSibling);
  }
}
function doInsertRow(position,type){
  var tr,new_tr;
  tr = getClosest("tr");
  if (!tr){
    tableCommandAlert();
    return;
  }
  new_tr = tr.cloneNode(true);
  if (position == "before"){
    tr.parentNode.insertBefore(new_tr,tr);
  }else{
    tr.parentNode.insertBefore(new_tr,tr.nextSibling);
  }
}
function doDeleteRow(){
  var tr = this.getClosest("tr");
  if (!tr) {
    tableCommandAlert();
    return;
  }
  var cell = getClosest("td") || getClosest("th");
  var nextnode = getNextNode(cell,tr);
  var parent_node = tr.parentNode;
  if (parent_node.rows.length == 1) {
    deleteTable();
    return;
  }
  parent_node.removeChild(tr);
  setSelection(nextnode);
}
function doDeleteCell(){
  var cell = getClosest("td") || getClosest("th");  
  if (cell.parentNode.cells.length == 1) {
    deleteTable();
    return;
  }
  var nextnode = getNextNode(cell);
  var tr = cell.parentNode;
  tr.removeChild(cell);
  setSelection(nextnode);
}
function doDeleteColumn(){
  var cell = getClosest("td") || getClosest("th");  
  if (!cell) {
    tableCommandAlert(); 
    return;
  }
  var nextnode = getNextNode(cell);
  var index = cell.cellIndex;
  if (cell.parentNode.cells.length == 1) {
    deleteTable();
    return;
  }
  var rows = cell.parentNode.parentNode.rows;
  for (var i = 0;i < rows.length;i++) {
    var tr = rows[i];
    if (!tr.cells[index]){
      continue;
    }
    tr.removeChild(tr.cells[index]);
  }
  setSelection(nextnode);
}
function deleteTable(){
  var table = getClosest("table");
  var parent_node = table.parentNode;
  parent_node.removeChild(table);
}
function useBorder(tr){
  var table,result;
  table = getClosest("table");
  result = table.border >= 1 ? 1 : 0;	
  return result;
}
function getClosest(tagName){
  var ancestors,return_element;
  ancestors = getAllAncestors();
  return_element = null;
  tagName = ("" + tagName).toLowerCase();
  for (var i in ancestors){
    var element = ancestors[i];
    if (!element){
      continue;
    }
    if (element.tagName.toLowerCase() == tagName){
      return_element = element;
      break;
    }
  }
  return return_element;
}
function getAllAncestors(){
  var parent_node,ancestors;
  parent_node = getParentElement();
  ancestors = [];
  while (parent_node && (parent_node.nodeType == 1) && (parent_node.tagName.toLowerCase() != 'body')){
    ancestors.push(parent_node);
    parent_node = parent_node.parentNode;
  }
  ancestors.push(document.getElementById("edit").innerHTML);
  return ancestors;
}
function getParentElement(){
  var selection,range;
  selection = getEditorSelection();
  range = getEditorRange(selection);
  if (isIE()){
    switch (selection.type){
      case "Text":
      case "None":
        return range.parentElement();
      case "Control":
        return range.item(0);
      default:
        return document.getElementBydId('edit').body;
    }
  }else try{
    var parent_node = range.commonAncestorContainer;
    if (!range.collapsed && range.startContainer == range.endContainer && range.startOffset - range.endOffset <= 1 && range.startContainer.hasChildNodes()){
      parent_node = range.startContainer.childNodes[range.startOffset];
    }
    while (parent_node.nodeType == 3){
      parent_node = parent_node.parentNode;
    }
    return parent_node;
  }catch (e){
    return null;
  }
}
function getNextNode(nd,tr){
  var node = nd.nextSibling;
  var tag_name = new String(nd.tagName);
  if (tr && tr.parentNode.rows.length > 1){
    var index = nd.cellIndex;
    var row = tr;
    var nextrow = row.nextSibling;
    while(nextrow && nextrow.nodeType != 1){
      nextrow = nextrow.nextSibling;
    }
    if (!nextrow){
      nextrow = row.previousSibling;
      while(nextrow && nextrow.nodeType != 1){
        nextrow = nextrow.previousSibling;
      }
    }
    node = nextrow.cells[index];
  }  
  while (node && node.nodeType != 1){
    node = node.nextSibling;
  }
  if (!node){
    node = nd.previousSibling;
    while (node && node.nodeType != 1){
      node = node.previousSibling;
    }
  }
  return node;
}
function setSelection(nd){
  var selection = getEditorSelection();
  var range = getEditorRange(selection);
  if (isIE()){
    range.moveToElementText(nd);
    range.select();
  }else{
    range.selectNodeContents(nd);
    selection.removeAllRanges();
    selection.addRange(range);
  }
}
function findPosX(obj){
  var curleft = 0;
  if (obj.offsetParent){
    while (obj.offsetParent){
      curleft += obj.offsetLeft
      obj = obj.offsetParent;
    }
  }else if (obj.x){
    curleft += obj.x;
  }
  return curleft;
}
function findPosY(obj){
  var curtop = 0;
  if (obj.offsetParent){
    while (obj.offsetParent){
      curtop += obj.offsetTop
      obj = obj.offsetParent;
    }
  }else if (obj.y){
    curtop += obj.y;
  }
  return curtop;
}
//-->
